Namespace
library
Image / Tag
consul:1.12.5
Content Digest
sha256:2cfcfb681d24b4806f5493069e5e046bd17e040d04acfe587c090d659621e437
Details
Created

2022-10-06 19:21:15 UTC

Size

46.4 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.12.5

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:f8c6eeaa55b0f135b7fddb3d7745a98ca4d8f06d2898611234b9ef99e1183073 - 5.81% (2.7 MB)

[#001] sha256:248b2d6d2922d41b86855a343a91451a710448123634ade9bf09ab3b63562658 - 0.0% (1.21 KB)

[#002] sha256:baf134c98e31568cf62d4f14a3300da745ac2d2d24db0cd2cbfcb4cc6c4a9d2b - 94.18% (43.7 MB)

[#003] sha256:dd5466d2a84c45fbbd805f2629551fe0e62ed338187ea965d7a88876082fcd17 - 0.0% (143 Bytes)

[#004] sha256:6ff2a5d7f7ce9747e564551c01644e0d330ac29e35a6831edddee2cc4d5ef420 - 0.0% (155 Bytes)

[#005] sha256:ac3e6bd5f052ba3990b9f94eb86e19805ea0a2aab7fa5ab5bff4b78446799d59 - 0.0% (1.75 KB)


History
2022-08-09 17:38:47 UTC

/bin/sh -c #(nop) ADD file:d51bb92de86c49ee5486066d12194be78c8b9a8452c44577e2dfeef1945a0138 in /

2022-08-09 17:38:47 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-10-06 19:20:56 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.5

2022-10-06 19:20:57 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.5 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-10-06 19:20:58 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-10-06 19:20:59 UTC

|1 CONSUL_VERSION=1.12.5 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-10-06 19:21:06 UTC

|1 CONSUL_VERSION=1.12.5 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-10-06 19:21:07 UTC

|1 CONSUL_VERSION=1.12.5 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-10-06 19:21:08 UTC

|1 CONSUL_VERSION=1.12.5 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-10-06 19:21:09 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-10-06 19:21:10 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-10-06 19:21:11 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-10-06 19:21:12 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-10-06 19:21:14 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-10-06 19:21:14 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-10-06 19:21:15 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-10-06 20:18:03 UTC

Size

47.3 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.12.5

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:9621f1afde84053b2f9b6ff34fc7f7460712247c01cbab483c5fa7132cf782ca - 5.69% (2.69 MB)

[#001] sha256:97ace0f7b1032b7ef5a34aa605dcc516dc67280068380ff2cffd7842258f490f - 0.0% (1.24 KB)

[#002] sha256:639130d7d0a5f2810cbf76233d43a93aa08abb517b7d2a0a6ad9393c408d4c7a - 94.3% (44.6 MB)

[#003] sha256:788c37358f70e19be1f900fe4533768b4056b4b97dc155b1c396f11522e9973f - 0.0% (174 Bytes)

[#004] sha256:f9c82f45fb69a8d9dab88ada4ef0572025f0753e7df56e286883cca5a5f2f9e2 - 0.0% (154 Bytes)

[#005] sha256:6a03560d04cea4ff15f1df92f7eca2f1a8c2e798e8cc1081b1830175ece19104 - 0.0% (1.75 KB)


History
2022-08-09 17:20:00 UTC

/bin/sh -c #(nop) ADD file:f77e3f51f020890d22997e6c2ca98968b75b8bc8c463341a2010ff0655d4c88f in /

2022-08-09 17:20:01 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-10-06 20:17:54 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.5

2022-10-06 20:17:55 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.5 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-10-06 20:17:55 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-10-06 20:17:55 UTC

|1 CONSUL_VERSION=1.12.5 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-10-06 20:18:01 UTC

|1 CONSUL_VERSION=1.12.5 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-10-06 20:18:02 UTC

|1 CONSUL_VERSION=1.12.5 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-10-06 20:18:02 UTC

|1 CONSUL_VERSION=1.12.5 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-10-06 20:18:02 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-10-06 20:18:02 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-10-06 20:18:03 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-10-06 20:18:03 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-10-06 20:18:03 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-10-06 20:18:03 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-10-06 20:18:03 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-10-06 19:54:00 UTC

Size

45.3 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.12.5

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:293b708aa6fb80967f27727d5c9c53ac9ba9cac376bed2ad02c17a5cca317b35 - 5.54% (2.51 MB)

[#001] sha256:fd32c3b20b7691ec5fa7aa7a4b4c6d4a628530f0323c902446b41eafbc48b120 - 0.0% (1.24 KB)

[#002] sha256:9f0dd01802b55fb4dd8c57e60b635aff872cf00dc4d1bd779f3992d81458caf1 - 94.45% (42.7 MB)

[#003] sha256:02fc1c4190d17d74fcf41c08b03ada6ba1d97e165322a31d56ffcc15045f45bd - 0.0% (175 Bytes)

[#004] sha256:fcf25fc84bb97e5834dfb0f6d015c64b2529fe6ce90f8957347a1985a37c36c2 - 0.0% (154 Bytes)

[#005] sha256:d501a8046ec9ceb58cbc6bf575ab4fed46d8a2f154abb13fc536ebe421728a45 - 0.0% (1.75 KB)


History
2022-08-09 17:49:29 UTC

/bin/sh -c #(nop) ADD file:89cb25f97e17bed5c56311280efe5cfa78422d8ffbe36232195d13f94d67417e in /

2022-08-09 17:49:29 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-10-06 19:53:49 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.5

2022-10-06 19:53:50 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.5 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-10-06 19:53:50 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-10-06 19:53:50 UTC

|1 CONSUL_VERSION=1.12.5 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-10-06 19:53:58 UTC

|1 CONSUL_VERSION=1.12.5 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-10-06 19:53:59 UTC

|1 CONSUL_VERSION=1.12.5 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-10-06 19:53:59 UTC

|1 CONSUL_VERSION=1.12.5 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-10-06 19:54:00 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-10-06 19:54:00 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-10-06 19:54:00 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-10-06 19:54:00 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-10-06 19:54:00 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-10-06 19:54:00 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-10-06 19:54:00 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-10-06 19:55:34 UTC

Size

45 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.12.5

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:47517142f6ba87eca6b7bdca1e0df160b74671c81e4b9605dad38c1862a43be3 - 5.76% (2.59 MB)

[#001] sha256:aa5ec50c46346c24f681201e1872cc44998408d58a8fa00db8591b518c2c011d - 0.0% (1.21 KB)

[#002] sha256:03c34daa1ba4a1050fcf716626c732230b00af4ec7ed957a3c661e645c508379 - 94.23% (42.4 MB)

[#003] sha256:e259e22868a0ff7c3fa7951a638285f2dfe4258b1eb3fe8838eb1a720dd5cc0b - 0.0% (143 Bytes)

[#004] sha256:17df47d8d2fc0d9553808f7714afbf53072d1e676219538b73d68d9946d83352 - 0.0% (154 Bytes)

[#005] sha256:6cd0862756b5fe78156baf322448f68564499e53d2ee6684795feaedecf1aeb2 - 0.0% (1.75 KB)


History
2022-08-09 17:39:51 UTC

/bin/sh -c #(nop) ADD file:4b51a9d40f20d2beb29d0759b161d2b9403493453beb509de4e86a5d98513f16 in /

2022-08-09 17:39:51 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-10-06 19:55:18 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.5

2022-10-06 19:55:18 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.5 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-10-06 19:55:19 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-10-06 19:55:20 UTC

|1 CONSUL_VERSION=1.12.5 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-10-06 19:55:26 UTC

|1 CONSUL_VERSION=1.12.5 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-10-06 19:55:26 UTC

|1 CONSUL_VERSION=1.12.5 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-10-06 19:55:27 UTC

|1 CONSUL_VERSION=1.12.5 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-10-06 19:55:28 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-10-06 19:55:29 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-10-06 19:55:30 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-10-06 19:55:31 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-10-06 19:55:33 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-10-06 19:55:33 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-10-06 19:55:34 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]